import { Dispatcher } from 'flux';
import Store from './Store';
import StoreFactory from './StoreFactory';
export default class StoreSingleton<T> {
    _facade?: Store<T>;
    _factory: StoreFactory<T>;
    _getter?: Function;
    constructor();
    defineGet(getter: () => any): StoreSingleton<T>;
    defineName(name: string): StoreSingleton<T>;
    defineResponseTo(actionTypes: Array<string> | string, response: (data: any) => void): StoreSingleton<T>;
    isRegistered(): boolean;
    register(dispatcher?: Dispatcher<any>): Store<T>;
}
