"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.handleDispatch = handleDispatch;

function waitForStores(dispatcher, tokens) {
  dispatcher.waitFor(tokens);
}

function handleDispatch(dispatcher, dependencyIndex, then, payload) {
  var actionType = payload.actionType || payload.type;

  if (!dependencyIndex[actionType]) {
    return;
  }

  var entry = dependencyIndex[actionType];
  waitForStores(dispatcher, Object.keys(entry.dispatchTokens));
  then(entry);
}